Subject: RE: bug#23429: 25.0.90; `dired-do-find-regexp' doc string

From: Drew Adams <[email-masked]>
Date: Mon, 2 May 2016 11:26:11 -0700 (PDT)

> > If what you mean is that the marked files in a marked _subdirectory_
> > are searched, and so on for its marked subdirs, recursively - then
> > say so.
> 
> Care to propose an exact wording?

Nope. Dunno what the command does, and don't have the time to
study the code more.

> > If you don't mean something like that then I cannot imagine what this
> > means.  How can a _file_ (marked or not) be searched recursively?
> 
> A file can be a directory, in Emacs and in general Unix parlance.

You mean that a directory is, or can be, a file.  But it is a
particular kind of file.  If you mean a directory then say a
directory.

And even for a directory, if regarded as a file it cannot be
searched recursively.  The _contents_ of a directory can be
searched, and the contents of its subdirectories can be searched,
and so on.

> Those marked files that are, are searched recursively. The regular files
> are searched, period.

  Search marked files, including marked subdirs.  Act recursively
  on marked subdirs.

But you need to specify whether ALL files and ALL subdirs in
a marked subdir are acted on, or just the marked files and 
marked subdirs in a marked subdir.

Here's one possibility (from Dired+):

  The files searched are those that are marked in the current
  Dired buffer.  Marked subdirectories are handled recursively
  in the same way.

Dunno whether that is the behavior you have, but you see that
there are several possibilities.